package function;

import static org.junit.Assert.assertFalse;

import org.junit.Test;

import sexpression.Cons;
import sexpression.SExpression;

public class LispSpecialFunctionTest {

    @Test
    public void evaluateArguments() {
        LispFunction lispFunction = new LispSpecialFunction() {

            @Override
            public SExpression call(Cons argList) {
                return null;
            }
        };

        assertFalse(lispFunction.isArgumentListEvaluated());
    }

}
